/* help.c, Boone, 09/29/04
   Help screen for xcatctl
   Copyright (C) 2004-2009, Dennis Boone, East Lansing, MI */

/* Modifications:
   09/29/04 Boone      Initial coding
   End Modifications */

/* This file is part of xcatctl.

   Xcatctl is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published
   by the Free Software Foundation; either version 2 of the License,
   or (at your option) any later version.

   Xcatctl is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with xcatctl; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA */

#include <stdio.h>

void help()
{
	fputs("       cosmon [ options ]\n\
       --upcommand cmd\n\
              Cmd specifies the command to execute when COS goes high (i.e.  a\n\
              signal  is  detected).  You will have to enclose multi-word com-\n\
              mands in double-quote characters (\") to get them to  work.   The\n\
              serial  port  device name and the CI-V address of the xcat board\n\
              are passed to the command when it is executed.\n\
\n\
       --downcommand cmd\n\
              Cmd specifies the command to execute when COS goes low (i.e.  no\n\
              signal  is  detected).  You will have to enclose multi-word com-\n\
              mands in double-quote characters (\").  The  serial  port  device\n\
              name  and  the  CI-V address of the xcat board are passed to the\n\
              command when it is executed.\n\
\n\
       --ptydev devname\n\
              Instructs cosmon to listen to devname to allow  another  program\n\
              to talk to the xcat board at the same time as cosmon.\n\
\n\
       --toaddr civaddr\n\
              Set  the  CI-V  address  used by the xcat board.  The default is\n\
              0x20, and the only way to change the board is by hacking on  its\n\
              firmware.\n\
\n\
       --fromaddr civaddr\n\
              Set the CI-V address to be used by cosmon.  The default is 0xe0.\n\
\n\
       --serialport serialdevice\n\
              Set to serialdevice the name of the serial device (COM port)  on\n\
              the computer running cosmon to which the xcat is connected.\n\
", stderr);
	}
