/* cosopts.h, Boone, 09/29/04
   Command line options definitions for cosmon
   Copyright (C) 2004-2009, Dennis Boone, East Lansing, MI */

/* Modifications:
   09/29/04 Boone      Initial coding
   End Modifications */

/* This file is part of xcatctl.

   Xcatctl is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published
   by the Free Software Foundation; either version 2 of the License,
   or (at your option) any later version.

   Xcatctl is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with xcatctl; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA */

	struct option longopts[] =
	{
		{ "upcommand",		required_argument,	(int *)NULL,	UPCMD },
		{ "downcommand",	required_argument,	(int *)NULL,	DNCMD },
#ifndef __CYGWIN__
		{ "ptydev",			required_argument,	(int *)NULL,	PTYDEV },
#endif
#ifdef __CYGWIN__
		{ "windows",		required_argument,	(int *)NULL,	WINDOWS },
#endif
		{ "toaddr",			required_argument,	(int *)NULL,	TOADDR },
		{ "fromaddr",		required_argument,	(int *)NULL,	FROMADDR },
		{ "debug",			no_argument,		(int *)NULL,	DEBUG },
		{ "serialport",		required_argument,	(int *)NULL,	SERIALPORT },
		{ "baudrate",		required_argument,	(int *)NULL,	BAUDRATE },
		{ "help",			no_argument,		(int *)NULL,	HELP },
		{ "version",		no_argument,		(int *)NULL,	SHOWVERSION },
		{ 0, 0, 0, 0 }
	};
