/* opts.h, Boone, 09/29/04
   Command line options definitions for xcatctl
   Copyright (C) 2004-2009, Dennis Boone, East Lansing, MI */

/* Modifications:
   09/29/04 Boone      Initial coding
   End Modifications */

/* This file is part of xcatctl.

   Xcatctl is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published
   by the Free Software Foundation; either version 2 of the License,
   or (at your option) any later version.

   Xcatctl is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with xcatctl; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA */

	struct option longopts[] =
	{
		{ "xyzpdq",			no_argument,		(int *)NULL,	0 },
		{ "verbose",		no_argument,		(int *)NULL,	VERBOSE },
		{ "setvfofreq",		required_argument,	(int *)NULL,	SETVFOFREQ },
		{ "setmode",		required_argument,	(int *)NULL,	SETMODE },
		{ "storevfotomode",	no_argument,		(int *)NULL,	STOREVFOTOMODE },
		{ "storemodetovfo",	no_argument,		(int *)NULL,	STOREMODETOVFO },
		{ "setduplex",		required_argument,	(int *)NULL,	SETDUPLEX },
		{ "settxpl",		required_argument,	(int *)NULL,	SETTXPL },
		{ "setrxpl",		required_argument,	(int *)NULL,	SETRXPL },
		{ "getvfocodeplug",	no_argument,		(int *)NULL,	GETVFOCODEPLUG },
		{ "setvfocodeplug",	required_argument,	(int *)NULL,	SETVFOCODEPLUG },
		{ "getversion",		no_argument,		(int *)NULL,	GETVERSION },
		{ "getconfig",		no_argument,		(int *)NULL,	GETCONFIG },
		{ "setconfig",		no_argument,		(int *)NULL,	SETCONFIG },
		{ "setconfigbits",	required_argument,	(int *)NULL,	SETCONFIGBITS },
		{ "gettxoffset",	no_argument,		(int *)NULL,	GETTXOFFSET },
		{ "settxoffset",	required_argument,	(int *)NULL,	SETTXOFFSET },
		{ "getvcosplit",	no_argument,		(int *)NULL,	GETVCOSPLIT },
		{ "setvcosplit",	no_argument,		(int *)NULL,	SETVCOSPLIT },
		{ "txvcosplit",		required_argument,	(int *)NULL,	TXVCOSPLIT },
		{ "rxvcosplit",		required_argument,	(int *)NULL,	RXVCOSPLIT },
		{ "radioband",		required_argument,	(int *)NULL,	RADIOBAND },
		{ "sendcos",		required_argument,	(int *)NULL,	SENDCOS },
		{ "controlsys",		required_argument,	(int *)NULL,	CONTROLSYS },
		{ "io0",			required_argument,	(int *)NULL,	IO0 },
		{ "io1",			required_argument,	(int *)NULL,	IO1 },
		{ "io2",			required_argument,	(int *)NULL,	IO2 },
		{ "io3",			required_argument,	(int *)NULL,	IO3 },
		{ "io4",			required_argument,	(int *)NULL,	IO4 },
		{ "io5",			required_argument,	(int *)NULL,	IO5 },
		{ "io6",			required_argument,	(int *)NULL,	IO6 },
		{ "io7",			required_argument,	(int *)NULL,	IO7 },
		{ "toaddr",			required_argument,	(int *)NULL,	TOADDR },
		{ "fromaddr",		required_argument,	(int *)NULL,	FROMADDR },
		{ "debug",			no_argument,		(int *)NULL,	DEBUG },
		{ "serialport",		required_argument,	(int *)NULL,	SERIALPORT },
		{ "baudrate",		required_argument,	(int *)NULL,	BAUDRATE },
		{ "help",			no_argument,		(int *)NULL,	HELP },
		{ "version",		no_argument,		(int *)NULL,	SHOWVERSION },
		{ 0, 0, 0, 0 }
	};
