/* xcatctl.h, Boone, 09/29/04
   Definitions for xcatctl
   Copyright (C) 2004-2009, Dennis Boone, East Lansing, MI */

/* Modifications:
   09/02/04 Boone      Initial coding
   End Modifications */

/* This file is part of xcatctl.

   Xcatctl is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published
   by the Free Software Foundation; either version 2 of the License,
   or (at your option) any later version.

   Xcatctl is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with xcatctl; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA */

#define VERBOSE			1
#define SETVFOFREQ		2
#define SETMODE			3
#define STOREVFOTOMODE	4
#define STOREMODETOVFO	5
#define SETDUPLEX		6
#define SETTXPL			7
#define SETRXPL			8
#define GETVFOCODEPLUG	9
#define SETVFOCODEPLUG	10
#define GETVERSION		11
#define GETCONFIG		12
#define SETCONFIG		13
#define SETCONFIGBITS	14
#define GETTXOFFSET		15
#define SETTXOFFSET		16
#define GETVCOSPLIT		17
#define SETVCOSPLIT		18
#define TXVCOSPLIT		19
#define RXVCOSPLIT		20
#define RADIOBAND		21
#define SENDCOS			22
#define CONTROLSYS		23
#define IO0				24
#define IO1				25
#define IO2				26
#define IO3				27
#define IO4				29
#define IO5				30
#define IO6				31
#define IO7				32
#define TOADDR			33
#define FROMADDR		34
#define DEBUG			35
#define SERIALPORT		36
#define BAUDRATE		37
#define HELP			38
#define SHOWVERSION		39
#define NUMACTIONS		40 /* must be 1 greater than last index above */

typedef struct
{
	int oflag;
	double farg;
	long iarg;
	unsigned char sarg[256];
	int havearg;
} Cmdlopts; 

#ifdef INSTANTIATE
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN int verbose;
EXTERN char *optarg;
EXTERN int debug;
