/* brate.h, Boone, 09/29/04
   Baud rate definitions for xcatctl
   Copyright (C) 2004-2009, Dennis Boone, East Lansing, MI */

/* Modifications:
   09/29/04 Boone      Initial coding
   End Modifications */

/* This file is part of xcatctl.

   Xcatctl is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published
   by the Free Software Foundation; either version 2 of the License,
   or (at your option) any later version.

   Xcatctl is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with xcatctl; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA */

typedef struct
{
	int bflag;
	int baudrate;
} Brmap;

Brmap brmap[] =
{
	{ B0,       0 },
	{ B50,      50 },
	{ B75,      75 },
	{ B110,     110 },
	{ B134,     134 },
	{ B150,     150 },
	{ B200,     200 },
	{ B300,     300 },
	{ B600,     600 },
	{ B1200,    1200 },
	{ B1800,    1800 },
	{ B2400,    2400 },
	{ B4800,    4800 },
	{ B9600,    9600 },
	{ B19200,   19200 },
	{ B38400,   38400 },
	{ B57600,   57600 },
	{ B115200,  115200 },
	{ B0,		     -1 }
};
