/* cosmon.h, Boone, 09/29/04
   Definitions for cosmon
   Copyright (C) 2004-2009, Dennis Boone, East Lansing, MI */

/* Modifications:
   09/02/04 Boone      Initial coding
   End Modifications */

/* This file is part of xcatctl.

   Xcatctl is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published
   by the Free Software Foundation; either version 2 of the License,
   or (at your option) any later version.

   Xcatctl is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with xcatctl; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA */

#define UPCMD			1
#define DNCMD			2
#define PTYDEV			3
#define WINDOWS			4
#define TOADDR			5
#define FROMADDR		6
#define DEBUG			7
#define SERIALPORT		8
#define BAUDRATE		9
#define HELP			10
#define SHOWVERSION		11
#define NUMACTIONS		12 /* must be 1 greater than last index above */

#ifdef INSTANTIATE
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN int verbose;
EXTERN char *optarg;
EXTERN int debug;
